Loading...
Searching...
No Matches
juce::URL::DownloadTaskOptions Class Reference

## Detailed Description

Holds options that can be specified when starting a new download with downloadToFile().

The documentation for this class was generated from the following file:

- juce_core/network/juce_URL.h

## Public Member Functions

auto | withExtraHeaders (String value) const
| Specifies headers to add to the request.
auto | withSharedContainer (String value) const
| On iOS, specifies the container where the downloaded file will be stored.
auto | withListener (DownloadTaskListener *value) const
| Specifies an observer for the download task.
auto | withUsePost (bool value) const
| Specifies whether a post command should be used.

## Public Attributes

String | extraHeaders
String | sharedContainer
DownloadTaskListener * | listener = nullptr
bool | usePost = false

## Member Functions

## withExtraHeaders()

auto juce::URL::DownloadTaskOptions::withExtraHeaders | ( | String | value | ) | const

inline nodiscard

Specifies headers to add to the request.

References extraHeaders.

## withSharedContainer()

auto juce::URL::DownloadTaskOptions::withSharedContainer | ( | String | value | ) | const

inline nodiscard

On iOS, specifies the container where the downloaded file will be stored.

If you initiate a download task from inside an app extension on iOS, you must supply this option.

This is currently unused on other platforms.

References sharedContainer.

## withListener()

auto juce::URL::DownloadTaskOptions::withListener | ( | DownloadTaskListener * | value | ) | const

inline nodiscard

Specifies an observer for the download task.

References listener.

## withUsePost()

auto juce::URL::DownloadTaskOptions::withUsePost | ( | bool | value | ) | const

inline nodiscard

Specifies whether a post command should be used.

References usePost.

## Member Data Documentation

## extraHeaders

String juce::URL::DownloadTaskOptions::extraHeaders

Referenced by withExtraHeaders().

## sharedContainer

String juce::URL::DownloadTaskOptions::sharedContainer

Referenced by withSharedContainer().

## listener

DownloadTaskListener* juce::URL::DownloadTaskOptions::listener = nullptr

Referenced by withListener().

## usePost

bool juce::URL::DownloadTaskOptions::usePost = false

Referenced by withUsePost().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited